Bug 1117976 - Channels cloned as Original via API and WebUI comprise different set of packages.
Summary: Channels cloned as Original via API and WebUI comprise different set of packa...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: 560
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Dimitar Yordanov
URL:
Whiteboard:
Depends On:
Blocks: sat570-lowbug
TreeView+ depends on / blocked
 
Reported: 2014-07-09 18:34 UTC by Dimitar Yordanov
Modified: 2015-01-13 09:54 UTC (History)
2 users (show)

Fixed In Version: spacewalk-web-2.3.2-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1121342 (view as bug list)
Environment:
Last Closed: 2015-01-13 09:54:55 UTC


Attachments (Terms of Use)

Description Dimitar Yordanov 2014-07-09 18:34:57 UTC
Description of problem:
Channels cloned as Original via API and WebUI comprise different set of packages.

Version-Release number of selected component (if applicable):
spacewalk-java-2.0.2-79.el5sat
spacewalk-html-2.0.3-20

How reproducible:
Always.

Steps to Reproduce:
1. Sync rhel-x86_64-server-6 to Satellite:
    satellite-sync -c rhel-x86_64-server-6

2. Clone the channel as Original via WebIU:
   Channels -> Manage Software Channels -> Clone Channel ->  rhel-x86_64-server-6(Original state of the channel (no errata))

3. Clone the channel as Original via API:
   client = xmlrpclib.Server(RHN_SERVER, verbose=0)
   key = client.auth.login(RHN_USER, RHN_PASS)
   details_map = { 'name':'clone_api_rhel-x86_64-server-6', 'label':'clone_api_rhel-x86_64-server-6', 'summary':'clone_api_rhel_x86_64-server-6' }
   client.channel.software.clone(auth, 'rhel-x86_64-server-6', details_map, True)
  

Actual results:
Cloned via WebUI: 3435 rpm
Cloen via API : 3441 rpm

Expected results:
Cloned via WebUI: 3441 rpm
Cloen via API : 3441 rpm

Additional info:

Missing packages:
dracut-004-335.el6.noarch.rpm
dracut-fips-004-335.el6.noarch.rpm
dracut-kernel-004-335.el6.noarch.rpm
dracut-network-004-335.el6.noarch.rpm
psacct-6.3.2-63.el6_1.1.x86_64.rpm
yum-rhn-plugin-0.9.1-48.el6.noarch.rpm

Comment 1 Dimitar Yordanov 2014-08-11 15:29:12 UTC
Fixed in SW: 36c939af22054df93a3ca2d3215a1732993ae704

Comment 4 psmatana 2014-12-01 18:39:41 UTC
Verification.

spacewalk-java-2.0.2-79.el6sat

I made steps same as Description.

Clone Origin packages via WebUI = 3439
Clone Origin packages via python script = 3453



Reproduce.

spacewalk-java-2.3.8-75.el6sat

Clone Origin packages via WebUI = 3453
Clone Origin packages via python script = 3453

Comment 6 Clifford Perry 2015-01-13 09:54:55 UTC
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff


Note You need to log in before you can comment on or make changes to this bug.